<div class="row">
  <div class="col-xs-8">
    <form (submit)="onUpdate()" [formGroup]="myForm">
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group" >
            <label for="first_name">First Name </label>
            <input type="text" id="first_name"  name="first_name" class="form-control" formControlName="first_name" required>
            <div *ngIf="this.myForm.value['first_name'] === ''" class="alert alert-danger">First Name is required</div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label for="last_name">Last Name </label>
            <input type="text" id="last_name"  name="last_name" class="form-control" formControlName="last_name" required>
            <div *ngIf="this.myForm.value['last_name'] === ''" class="alert alert-danger">Last Name is required</div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label for="email">Email</label>
            <input type="email" id="email" name="email" class="form-control" formControlName="email" required email="true">
            <div *ngIf="this.myForm.value['email'] === ''" class="alert alert-danger">An Email is required</div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <button type="submit" class="btn btn-primary" [disabled]="!myForm.valid">Update</button>
        </div>
      </div>
    </form>
  </div>
</div>
